Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.ejbjar30
Class InterceptorBindingTypeImplTestCase

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.ejbjar30.InterceptorBindingTypeImplTestCase

    public class InterceptorBindingTypeImplTestCase

extends java.lang.Object

Constructor Summary
`InterceptorBindingTypeImplTestCase()`

Method Summary
`void` | `testDescription()`
`void` | `testEjbName()`
`void` | `testExcludeClassInterceptors()`
`void` | `testExcludeDefaultInterceptors()`
`void` | `testInterceptorClass()`
`void` | `testInterceptorOrder()`
`void` | `testMethod()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InterceptorBindingTypeImplTestCase

    public InterceptorBindingTypeImplTestCase()

Method Detail

### testDescription

    public void testDescription()
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testEjbName

    public void testEjbName()
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testExcludeDefaultInterceptors

    public void testExcludeDefaultInterceptors()
                                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testExcludeClassInterceptors

    public void testExcludeClassInterceptors()
                                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testMethod

    public void testMethod()
                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testInterceptorClass

    public void testInterceptorClass()
                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testInterceptorOrder

    public void testInterceptorOrder()
                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD